Retrograde Periods
POST
/retrograde-periods
curl -X POST https://api.astroway.info/v1/retrograde-periods \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "planetId": 2, "startDate": "2024-01-01", "endDate": "2024-12-31" }'const res = await fetch('https://api.astroway.info/v1/retrograde-periods', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "planetId": 2, "startDate": "2024-01-01", "endDate": "2024-12-31" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/retrograde-periods', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'planetId': 2, 'startDate': "2024-01-01", 'endDate': "2024-12-31" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('retrograde-periods', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'planetId' => 2, 'startDate' => '2024-01-01', 'endDate' => '2024-12-31', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Find all retrograde stations (direct, retrograde, stationary) for a planet within a date range.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
startDate required
string
endDate required
string
planetIds
Array<number>
Example
{ "planetId": 2, "startDate": "2024-01-01", "endDate": "2024-12-31"}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
periods
Array<object>
object
retrogradStation
string
directStation
string
shadowEntry
string
shadowExit
string
retrogradeLongitude
number
directLongitude
number
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.